Metavault API - Update reference table

UpdateReferenceTable - PUT

Path

/api/projects/{projectId}/referencetables/{referenceTableId}

Http Method

PUT

Overview

Update a reference table, a table with rarely-changing reference values. This also creates the mapping to the data package table.

Required permissions

  • Write access to the Source module. SOURCE WRITE

Request

Request body

JSON
{
  "name": "MyReferenceTable",
  "stagingTable": "http://.../api/projects/0231c3594acd4abba267e66c50c98d72/metavault/sourcesystems/2229a764-9c95-41dc-9970-f27c880feb4d/datapackages/39d487d1-9994-4949-9aca-f128751563b9/tables/662c1259e3c34c099b9762850064d8b6",
  "columns": [
    "http://.../api/projects/0231c3594acd4abba267e66c50c98d72/metavault/sourcesystems/2229a764-9c95-41dc-9970-f27c880feb4d/datapackages/39d487d1-9994-4949-9aca-f128751563b9/tables/662c1259e3c34c099b9762850064d8b6/columns/3c8bfb48192543899f8703a400a05b1b",
    "http://.../api/projects/0231c3594acd4abba267e66c50c98d72/metavault/sourcesystems/2229a764-9c95-41dc-9970-f27c880feb4d/datapackages/39d487d1-9994-4949-9aca-f128751563b9/tables/662c1259e3c34c099b9762850064d8b6/columns/42e807ece62a4920842c46c5be117ae7"
  ]
}
Field descriptions

Field

Type

Required

Description

Constraints

name

string

yes

The name of the reference table.


businessName tba

string

yes

The business name of the entity.

Reference business name. It must be set but has no other restrictions.

stagingTable

string

yes

The url to the staging table this reference table is mapped on.

Must be a URI

columns

array of string

yes

The list of columns this reference table is mapped on.

Must be URIs

Response

Success response (200 OK)

JSON
{
  "name": "MyReferenceTable",
  "businessName": "My reference table 💱",
  "id": "7810438a-faca-4cee-9669-cee01fda94c7",
  "entityType": "ReferenceTable",
  "businessDescription": "",
  "technicalDescription": "",
  "isDeployedInProduction": false,
  "stagingTableId": "662c1259e3c34c099b9762850064d8b6",
  "targetTableName": "ref.MyReferenceTable",
  "columns": [
    {
      "id": "8fe01bf7-26ca-40b7-b64b-00dbf9fc1a39",
      "dataPackageColumnId": "3c8bfb48192543899f8703a400a05b1b",
      "businessName": "",
      "columnName": "column3",
      "typeFullName": "VARCHAR",
      "dataType": "String",
      "defaultValue": "",
      "description": "",
      "order": 0
    },
    {
      "id": "94616ee4-4d58-49b9-aec6-acf8d3d08728",
      "dataPackageColumnId": "42e807ece62a4920842c46c5be117ae7",
      "businessName": "",
      "columnName": "column4",
      "typeFullName": "VARCHAR",
      "dataType": "String",
      "defaultValue": "",
      "description": "",
      "order": 1
    }
  ]
}
Response fields

Field

Type

Description

name

string

The name

businessName tba

string

The business name of the entity.

id

string

The id of the object

entityType

string

“ReferenceTable“